BackLynx

BackLynx is a utility that can help you to back up your MassLynx files. It is designed specifically for MassLynx and can be scheduled to run at set times. Optionally, it can create a log of what it has done.

Tip: You don't have to use BackLynx to back up MassLynx files. You can copy the files manually, or use another utility. If you are using MassLynx Full Security you need to copy some additional files too: for details, refer to the help on Security.

Starting BackLynx

Choosing the backup locations

Setting the backup options

Running the backup

Scheduling backups

Setting logging options

Viewing scheduled operations

Security


Copyright

Copyright © Waters Corporation 2005

All Rights Reserved.

This document contains information that is proprietary to Waters Corporation. The original recipient of this document may duplicate this document in whole or in part for internal business purposes only, provided that this entire notice appears in all copies. In duplicating any part of this document, the recipient agrees to make every reasonable effort to prevent the unauthorized use and distribution of the proprietary information.

The information in this Help system is subject to change without notice and should not be construed as a commitment by Waters Corporation. Waters Corporation assumes no responsibility for any errors that may appear in this Help system. This Help system is believed to be complete and accurate at the time of publication. In no event shall Waters Corporation be liable for incidental or consequential damages in connection with, or arising from, the use of this document.

Micromass and Waters are registered trademarks, ChromaLynx, FractionLynx, MarkerLynx, MassLynx, MetaboLynx, MicrobeLynx, OpenLynx, ProfileLynx, QuanLynx and TargetLynx, are trademarks of Waters Corporation.

Microsoft and Windows are registered trademarks of Microsoft Corporation.

All other trademarks or registered trademarks are the sole property of their respective owners.

Online Information System overview

Contact information


Contact Info

Waters Corporation contact information

Technical support

If you have enhancement requests or technical questions regarding the use of any Waters Corporation product, contact us as follows:

Internet | http://www.waters.com
Standard mail | 34 Maple Street Milford, MA 01757
Telephone | 508 478-2000 or 800 252-4752 (In the USA or Canada) Refer to http://www.waters.com for complete telephone listings according to geographic location.

Your comments

We welcome your feedback on this online information system documentation or any other Waters Corporation product or document. We are also interested in your suggestions for any additional topics you want included in our product documentation. Please contact us at the following email address with your comments:

Tech_Comm@waters.com

Online Information System overview

Copyright information


access info

Welcome to our Online Information System

This BackLynx topic database is part of the Waters Corporation Online Information System. This system is designed to answer your questions while you work with Waters Corporation products and the BackLynx product. You can easily resize this information system window, move it, and hide or show the navigation pane as required.

Viewing information in this window

Use standard window-operating procedures to manipulate this window. For example, you can drag a corner of this window to resize it or click the Minimize button in the top-right corner to temporarily shrink it into a button at the bottom of your screen. Once you find the task-related information you need, click the Hide icon in the top-left corner of the window to close the navigation panel on the left, keeping only the contents of the topic displayed. After using the information to help you complete your task, you can then click the Show icon to redisplay the navigation panel if desired.

Navigating to a topic for complete details

When you select the Contents tab, the navigation pane on the left side of the Help window contains a list of topics based on the common tasks you perform with this product suite.

  • Click the plus sign to show the sections within a topic

  • Click the minus sign to hide the sections within a topic

  • Double-click a topic entry to display the related information in place of the text you are now reading

You can also click the Index or Search tab in this navigation bar to locate a specific piece of information in this online information system based on a key word or phrase

Printing topic content

To print a single topic, click the Print toolbar button or right-click within the topic, and then click Print.

To print multiple topics simultaneously, click the Contents tab within the navigation pane of the Help window, navigate to the folder that contains the topics you want to print, and then click Print to print the selected topic or the selected heading and all its subtopics.

Tip: The header and footer information that appears at the top and bottom of the pages when you print a topic from the Help system is controlled by the same print settings you have defined for Internet Explorer. From Internet Explorer's File menu, click Page Setup to specify what you want to print in the headers and footers of your topics. In the Page Setup dialog box, enter the appropriate code strings for the header and footer text that will print on your pages. You can click the What's This? Help button from within the dialog box to view a description of the available codes.

Copying information contained in a topic

To copy information from one of the topics in this online information system into another file:

  1. In the topic window, select the text you want to copy, right-click, and then select Copy from the shortcut menu that appears.

  2. Open the file in which you want to copy the information, and position the cursor where desired.

  3. From the Edit menu, click Paste.

Searching for information

When you want to quickly find information, you can check the index for this online information system or conduct a search for specific word(s).

To use the index in this online information system:

  1. In the left-hand navigation pane, click the Index tab.

  2. Scroll through the index or in the text box on the Index tab, type the word(s) you want to find within the index, and then click Display to show the topic contents.

To search for words in this online information system:

  1. In the left-hand navigation pane, click the Search tab.

  2. In the first text box on the Search tab, type the word(s) you want to find, and then click List Topics.

  3. When the list of topics that contain the word you want to find appears, double-click a title or click Display to show the topic contents.

Result: The topics listed contain the word(s) specified, though the words may not appear in the topic title. When you display the topic, the word(s) are highlighted where they appear within the topic contents.

Contact information

Copyright information


Starting BackLynx

Start > All Programs > MassLynx > BackLynx

To start BackLynx:

  1. Close any other MassLynx applications which may be running.

  2. Click Start > All Programs > MassLynx > BackLynx.

  3. If you have MassLynx Security installed, the Login dialog will appear.

  4. Type your MassLynx user name in the Logon Name box.

  5. Type your password in the Password box.

  6. In the Domain list, click the domain for which your user name is valid.

  7. Click OK.

Tip: If MassLynx has been installed with security, you will need to be a member of a group with rights to access BackLynx in order to login.

Choosing the backup locations

Setting the backup options

Running the backup

Scheduling backups

Setting logging options


Choosing the backup locations

BackLynx > Locations tab

To specify the source and target folders for the backup operation, click the Locations tab.

Location tab options:

From | The path and file name of the file to be backed up, restored, or copied is entered in this field. The Browse button displays the Browse for folder dialog, which allows folders to be browsed and directly entered in the field.
To | The destination folder path and file name can be typed in this field; the Browse button displays the Browse for folder dialog, which allows folders to be browsed and directly entered in the field.

Setting the backup options

Running the backup

Scheduling backups


Setting the backup options

BackLynx > Method tab

To set which types of data should be backed up, and what should be done with existing files in the destination and source, click the Method tab.

Method tab options:

Copy Method
Full (complete project) | Backs up all complete projects (folders named *.pro and their subfolders and files) found in the path specified in the From box on the Locations tab.
Data (raw data files only) | Backs up only raw data (folders named *.raw and their subfolders and files).
Metadata (project minus data) | Backs up everything in the project folders except the raw data.
Overwrite Existing Files Tip: Only the overwrite options available to the currently logged-on MassLynx user are available.
Always | The files to be copied always overwrite any existing destination files.
Newer source only | Only those destination files that are older than the files to be copied are overwritten.
Never | Files being copied never overwrite existing destination files.
Remove Source
Yes | Deletes the source files once they have been copied to the destination.
No | Does not delete source files that have been copied.

Choosing the backup locations

Running the backup

Scheduling backups


Running the backup

There are two ways to run the backup operation you've configured:

  • Immediately

  • Scheduled

Whether you are able to run the operation immediately (if you have a Run button in BackLynx) or queue the operation to be run later (if you have a Queue button) depends on which option is selected on the Schedule tab.

To run a BackLynx operation immediately:

  1. Click the Schedule tab.

  2. Select Immediate.

  3. Click Run.

  4. Click OK on the information dialog to continue.

  5. In the Account Details dialog, enter your Windows user name, password, and domain.

  6. Click OK.

While an operation is running, a Progress dialog displays details of the progress of the operation and (if files fail to be copied) the reason for the failure.

Scheduling backups

Viewing scheduled operations

Choosing the backup locations

Setting the backup options


Scheduling backups

BackLynx > Schedule tab

If you want to schedule the backup operation you've configured to run regularly, or at a specific time, click the Schedule tab.

To schedule a BackLynx operation:

  1. Set the times, days, or dates when you want the operation to run.

  2. Click Queue.

  3. Click OK on the information dialog to continue.

  4. In the Account Details dialog, enter your Windows user name, password, and domain.

  5. Click OK.

Repeat steps 1 to 5 to add additional scheduled operations.

Tip: To schedule the same operation more than once a day, modify the start time for the backup operation you've configured, click Queue, then repeat for additional start times.

Schedule tab options:

Immediate | The operation will run immediately when the Run button is clicked. The operation will also run immediately if a 'run-once' Timed backup is queued and the time and date is earlier the current time.
Timed | The operation will run at the time(s) specified in the Period pane.
Once | The operation will run once at the time and date specified in the at and on boxes.
Daily | The operation will run once a day at the time specified in the at box.
Weekly | The operation will run on the day(s) specified by the adjacent day check boxes, at the time specified in the at box. The check boxes are only available when the Weekly option is selected.
Monthly | The operation will run once a month at the time and date specified in the at and on boxes.

Tips:

  • The time you specify in this tab refers to local time such as Eastern Standard Time (EST) or Greenwich Mean Time (GMT). BackLynx will subsequently convert all local times to Coordinated Universal Time (UTC).

  • Users of the system should not have access to the computer’s system clock. The simplest way to arrange this is to have the site IT Administrator control the time on each computer remotely and not allow other users to change the system clock.

Running the backup

Viewing scheduled operations

Choosing the backup locations

Setting the backup options


Setting logging options

BackLynx > Log tab

BackLynx can produce a plain text log file that records the operations it has performed. You can read BackLynx log files with a text editor, such as Notepad.

To specify the options for creating a log file during the backup, click the Log tab.

Log tab options:

No | Do not create a log file.
Overwrite | New log data replaces existing data in the log file.
Append | New log data is appended to existing data in the log file.
Log Name | The destination path and name for the log file.

Tip: These log files may be used by MassLynx Administrators and System Administrators to check that backup operations have run as planned.

Choosing the backup locations

Setting the backup options

Running the backup

Scheduling backups


Viewing scheduled operations

BackLynx > Review tab

To view the backup operations currently scheduled, click the Review tab. The Review window lists all the operations currently queued or running.

Review window columns:

Time | The time at which the operation is to take place.
Date | The date on which the operation is to take place.
From | The source for the operation.
Target | The target for the operation.
Owner | The Windows user that will be used to run the operation.

Operations can be deleted by clicking the Time entry (or entries) in the list and pressing the Delete key. If MassLynx has been installed with security, only users who are members of a group with the 'BackLynx – Remove task from queue' permission may delete an operation.

To view the details of an operation:

Double-click the operation’s Time entry in the list. The details are displayed in the Review Scheduled Task dialog box. In this dialog box, you can:

  • Click Delete to remove the operation from the queue.

  • Click Stop to stop the current operation.

  • Click Exit to close the dialog box.

Tip: If a recurrent timed operation is stopped, it will be re-queued to occur at its next due time.

Scheduling backups

Running the backup

Choosing the backup locations

Setting the backup options